Odoo Help

Welcome!

This community is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

0

Etherpad installation

By
Burim Dervishi
on 3/10/15, 7:44 PM 1,173 views

Hi

I'm not able to install etherpad-lite, I've successfulyl installed nodejs but the etherpad is still not installed:

You shouldn't start Etherpad as root!
Please type 'Etherpad rocks my socks' or supply the '--root' argument if you still want to start it as                                                                  root
'Etherpad rocks my socks
bin/run.sh: 24: [: 'Etherpad: unexpected operator
Copy the settings template to settings.json...
Ensure that all dependencies are up to date...  If this is the first time you have run Etherpad please                                                                  be patient.
npm WARN engine clean-css@3.0.8: wanted: {"node":">=0.10.0"} (current: {"node":"v0.8.7","npm":"1.1.49"}                                                                 )
npm WARN engine measured@1.0.0: wanted: {"node":">= 0.10"} (current: {"node":"v0.8.7","npm":"1.1.49"})
npm ERR! Error: No compatible version found: inherits@'^2.0'
npm ERR! Valid install targets:
npm ERR! ["1.0.0","2.0.0","2.0.1"]
npm ERR!     at installTargetsError (/usr/local/lib/node_modules/npm/lib/cache.js:553:10)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache.js:477:15
npm ERR!     at saved (/usr/local/lib/node_modules/npm/node_modules/npm-registry-client/lib/get.js:138:                                                                 7)
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:220:7
npm ERR!     at Object.oncomplete (fs.js:297:15)
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.13.0-43-generic
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install" "--loglevel" "warn"
npm ERR! cwd /root/etherpad-lite/src
npm ERR! node -v v0.8.7
npm ERR! npm -v 1.1.49
npm WARN prefer global npm@2.4.1 should be installed with -g
npm WARN package.json dom-serializer@0.0.1 No README.md file found!
npm WARN package.json jade@0.26.3 No README.md file found!
npm WARN engine archiver@0.12.0: wanted: {"node":">= 0.10.0"} (current: {"node":"v0.8.7","npm":"1.1.49"                                                                 })
npm WARN package.json parseuri@0.0.2 No README.md file found!
npm WARN package.json packet-reader@0.2.0 No README.md file found!
npm ERR! Error: ENOENT, lstat '/root/etherpad-lite/src/node_modules/wd/node_modules/request/node_module                                                                 s/bl/node_modules/readable-stream/lib/_stream_readable.js'
npm ERR! If you need help, you may report this log at:
npm ERR!     <http://github.com/isaacs/npm/issues>
npm ERR! or email it to:
npm ERR!     <npm-@googlegroups.com>

npm ERR! System Linux 3.13.0-43-generic
npm ERR! command "/usr/local/bin/node" "/usr/local/bin/npm" "install" "--loglevel" "warn"
npm ERR! cwd /root/etherpad-lite/src
npm ERR! node -v v0.8.7
npm ERR! npm -v 1.1.49
npm ERR! path /root/etherpad-lite/src/node_modules/wd/node_modules/request/node_modules/bl/node_modules                                                                 /readable-stream/lib/_stream_readable.js
npm ERR! fstream_path /root/etherpad-lite/src/node_modules/wd/node_modules/request/node_modules/bl/node                                                                 _modules/readable-stream/lib/_stream_readable.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack Writer._finish.er.fstream_finish_call (/usr/local/lib/node_modules/npm/node_modu                                                                 les/fstream/lib/writer.js:284:26)
npm ERR! fstream_stack Object.oncomplete (fs.js:297:15)
npm WARN package.json parsejson@0.0.1 No README.md file found!
npm WARN package.json parseuri@0.0.4 No README.md file found!

> ws@0.5.0 install /root/etherpad-lite/src/node_modules/socket.io/node_modules/engine.io/node_modules/w                                                                 s
> (node-gyp rebuild 2> builderror.log) || (exit 0)

npm WARN package.json parseqs@0.0.2 No README.md file found!
make: Entering directory `/root/etherpad-lite/src/node_modules/socket.io/node_modules/engine.io/node_mo                                                                 dules/ws/build'
  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node: Finished
  COPY Release/bufferutil.node
  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/obj.target/validation.node
  SOLINK_MODULE(target) Release/obj.target/validation.node: Finished
  COPY Release/validation.node
make: Leaving directory `/root/etherpad-lite/src/node_modules/socket.io/node_modules/engine.io/node_mod                                                                 ules/ws/build'

> ws@0.4.31 install /root/etherpad-lite/src/node_modules/socket.io/node_modules/socket.io-client/node_m                                                                 odules/engine.io-client/node_modules/ws
> (node-gyp rebuild 2> builderror.log) || (exit 0)

make: Entering directory `/root/etherpad-lite/src/node_modules/socket.io/node_modules/socket.io-client/                                                                 node_modules/engine.io-client/node_modules/ws/build'
  CXX(target) Release/obj.target/bufferutil/src/bufferutil.o
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node
  SOLINK_MODULE(target) Release/obj.target/bufferutil.node: Finished
  COPY Release/bufferutil.node
  CXX(target) Release/obj.target/validation/src/validation.o
  SOLINK_MODULE(target) Release/obj.target/validation.node
  SOLINK_MODULE(target) Release/obj.target/validation.node: Finished
  COPY Release/validation.node
make: Leaving directory `/root/etherpad-lite/src/node_modules/socket.io/node_modules/socket.io-client/n                                                                 ode_modules/engine.io-client/node_modules/ws/build'
npm WARN package.json uid2@0.0.3 No README.md file found!
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR!     /root/etherpad-lite/src/npm-debug.log
npm ERR! not ok code 0

​Can anybody help?

 

Regards,

 

 

0
Mind And Go
On 4/20/15, 5:07 PM

Hy Burim,


have a look to your first line : You shouldn't start Etherpad as root!

Log in a different user and retry!

Your Answer

Please try to give a substantial answer. If you wanted to comment on the question or answer, just use the commenting tool. Please remember that you can always revise your answers - no need to answer the same question twice. Also, please don't forget to vote - it really helps to select the best questions and answers!

About This Community

This community is for professionals and enthusiasts of our products and services. Read Guidelines

Question tools

1 follower(s)

Stats

Asked: 3/10/15, 7:44 PM
Seen: 1173 times
Last updated: 4/20/15, 5:07 PM